你好,游客 登录 注册 搜索
背景:
阅读新闻

Foreman app/helpers/form_helper.rb跨站脚本漏洞(CVE-2016-6319)

[日期:2016-08-22] 来源:Linux社区  作者:Linux [字体: ]
Foreman app/helpers/form_helper.rb跨站脚本漏洞(CVE-2016-6319)


发布日期:2016-08-12
更新日期:2016-08-22

受影响系统:

Foreman Foreman < 1.12.2

描述:


BUGTRAQ  ID: 92429
CVE(CAN) ID: CVE-2016-6319

Foreman是可以自动化维护服务器生命周期的管理工具。

Foreman < 1.12.2版本在app/helpers/form_helper.rb中存在跨站脚本漏洞。远程用户利用此漏洞通过label参数可注入任意Web脚本或HTML。

<*来源:Sanket Jagtap
  *>

建议:


厂商补丁:

Foreman
-------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://projects.theforeman.org/issues/16019
https://github.com/theforeman/foreman/commit/0f35fe14acf0d0d3b55e9337bc5e2b9640ff2372
http://projects.theforeman.org/issues/16024
https://bugzilla.redhat.com/show_bug.cgi?id=1365815
https://theforeman.org/security.html#2016-6319

本文永久更新链接地址http://www.chineselinuxuniversity.net/Linux/2016-08/134493.htm

linux
相关资讯       Foreman 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款